> This page is for Itential Platform On-Prem, version 6 (default).
> For other versions, use one of these documentation indexes:
> - 6 (default): https://docs-test.itntl.com/itential-platform/6/llms.txt
> - 2023.2: https://docs-test.itntl.com/itential-platform/2023-2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# Export workflow

POST https://example.itential.io/workflow_builder/export
Content-Type: application/json

Exports a single Workflow.

Reference: https://docs-test.itntl.com/itential-platform/6/api-reference/workflow-builder/export-workflow

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Body (application/json)

This endpoint expects an object.

- `options` (WorkflowBuilderExportPostRequestBodyContentApplicationJsonSchemaOptions, optional)

## Response

### 200

Exported Workflow

- `name` (string, required)
- `type` (string, required, default: automation)
- `tasks` (WorkflowBuilderWorkflowPayloadTasks, required)
- `transitions` (WorkflowBuilderWorkflowPayloadTransitions, required)
- `groups` (list of WorkflowBuilderWorkflowPayloadGroupsItems, required)
- `_id` (string, optional)
- `uuid` (string, optional)
- `description` (string, optional, nullable)
- `namespace` (WorkflowBuilderWorkflowPayloadNamespace, optional, nullable)
- `preAutomationTime` (integer, optional) — Time (milliseconds) automation would have taken someone to complete without using IAP.
- `sla` (integer, optional)
- `metadata` (WorkflowBuilderWorkflowPayloadMetadata, optional) — Deprecated. If present, preAutomationTime and sla are lifted to the top level on import; this property is not persisted.
- `scenarios` (list of WorkflowBuilderWorkflowPayloadScenariosItems, optional)
- `errorHandler` (WorkflowBuilderWorkflowPayloadErrorHandler, optional, nullable) — Deprecated gen2-specific feature
- `font_size` (integer, optional, default: 12) — Deprecated, unused, gen1-specific feature
- `created` (string, optional)
- `created_by` (WorkflowBuilderWorkflowPayloadCreatedBy, optional)
- `createdVersion` (string, optional)
- `last_updated` (string, optional)
- `last_updated_by` (WorkflowBuilderWorkflowPayloadLastUpdatedBy, optional)
- `lastUpdatedVersion` (string, optional) — This value represents the semantic version of the application that last modified it. For workflows with canvasVersion = 1, this field will refer to the version of Workflow Builder. For workflows with canvasVersion > 1, this field will refer to the version of Studio.
- `tags` (list of WorkflowBuilderWorkflowPayloadTagsItems, optional)
- `canvasVersion` (enum, optional)
  - Allowed values: `1`, `1.5`, `2`, `3`
- `encodingVersion` (enum, optional)
  - Allowed values: `1`
- `inputSchema` (WorkflowBuilderWorkflowPayloadInputSchema, optional)
- `outputSchema` (WorkflowBuilderWorkflowPayloadOutputSchema, optional)
- `outputData` (map from string to WorkflowBuilderWorkflowPayloadOutputData, optional) — Deprecated gen2-specific feature
- `decorators` (list of WorkflowBuilderWorkflowPayloadDecoratorsItems, optional)
- `migrationVersion` (integer, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### WorkflowBuilderExportPostRequestBodyContentApplicationJsonSchemaOptions

- `_id` (string, required) — Id of Workflow document
- `name` (string, required) — The name of the workflow. When provided, 'type' can also be specified for additional filtering.
- `type` (string, optional) — The type of the workflow. It is an optional field and is used in conjunction with 'name' for filtering.

### WorkflowBuilderWorkflowPayloadTasks

- `workflow_start` (WorkflowBuilderWorkflowPayloadTasksWorkflowStart, required)
- `workflow_end` (WorkflowBuilderWorkflowPayloadTasksWorkflowEnd, required)
- `error_handler` (WorkflowBuilderWorkflowPayloadTasksErrorHandler, optional) — Deprecated gen2-specific feature

### WorkflowBuilderWorkflowPayloadTransitions

- `workflow_start` (WorkflowBuilderWorkflowPayloadTransitionsWorkflowStart, optional)
- `workflow_end` (WorkflowBuilderWorkflowPayloadTransitionsWorkflowEnd, optional)
- `error_handler` (WorkflowBuilderWorkflowPayloadTransitionsErrorHandler, optional)

### WorkflowBuilderWorkflowPayloadGroupsItems

- `name` (string, required)
- `provenance` (string, required)

### WorkflowBuilderWorkflowPayloadNamespace

- `type` (any, optional)
- `_id` (string, optional)
- `name` (string, optional)
- `accessControl` (WorkflowBuilderWorkflowPayloadNamespaceAccessControl, optional)

### WorkflowBuilderWorkflowPayloadMetadata

Deprecated. If present, preAutomationTime and sla are lifted to the top level on import; this property is not persisted.

- `preAutomationTime` (integer, optional)
- `sla` (integer, optional)

### WorkflowBuilderWorkflowPayloadScenariosItems

- `name` (string, required)
- `input` (WorkflowBuilderWorkflowPayloadScenariosItemsInput, required)
- `description` (string, optional)
- `taskMocks` (WorkflowBuilderWorkflowPayloadScenariosItemsTaskMocks, optional)
- `last_updated` (string, optional)
- `last_updated_by` (WorkflowBuilderWorkflowPayloadScenariosItemsLastUpdatedBy, optional)

### WorkflowBuilderWorkflowPayloadErrorHandler

Deprecated gen2-specific feature

- `type` (string, optional)
- `name` (string, optional)

### WorkflowBuilderWorkflowPayloadCreatedBy

### WorkflowBuilderWorkflowPayloadLastUpdatedBy

### WorkflowBuilderWorkflowPayloadTagsItems

- `_id` (string, required)
- `name` (string, required)
- `description` (string, required)

### WorkflowBuilderWorkflowPayloadInputSchema

### WorkflowBuilderWorkflowPayloadOutputSchema

### WorkflowBuilderWorkflowPayloadOutputData

- `taskId` (string, optional)
- `taskPointer` (string, optional)

### WorkflowBuilderWorkflowPayloadDecoratorsItems

- `type` (enum, optional)
  - Allowed values: `encryption`
- `pointer` (string, optional)

### WorkflowBuilderWorkflowPayloadTasksWorkflowStart

- `name` (string, optional)
- `summary` (string, optional)
- `groups` (list of WorkflowBuilderWorkflowPayloadTasksWorkflowStartGroupsItems, optional)
- `x` (double, optional) — Stores the x coordinate used by canvasVersion: 1 workflows
- `y` (double, optional) — Stores the y coordinate used by canvasVersion: 1 workflows
- `nodeLocation` (WorkflowBuilderWorkflowPayloadTasksWorkflowStartNodeLocation, optional) — Stores the coordinates used by canvasVersion: 3 workflows

### WorkflowBuilderWorkflowPayloadTasksWorkflowEnd

- `name` (string, optional)
- `summary` (string, optional)
- `groups` (list of WorkflowBuilderWorkflowPayloadTasksWorkflowEndGroupsItems, optional)
- `x` (double, optional) — Stores the x coordinate used by canvasVersion: 1 workflows
- `y` (double, optional) — Stores the y coordinate used by canvasVersion: 1 workflows
- `nodeLocation` (WorkflowBuilderWorkflowPayloadTasksWorkflowEndNodeLocation, optional) — Stores the coordinates used by canvasVersion: 3 workflows

### WorkflowBuilderWorkflowPayloadTasksErrorHandler

Deprecated gen2-specific feature

- `name` ("childJob", required)
- `summary` (string, required)
- `description` (string, required)
- `app` (string, required)
- `variables` (WorkflowBuilderWorkflowPayloadTasksErrorHandlerVariables, required)
- `groups` (list of WorkflowBuilderWorkflowPayloadTasksErrorHandlerGroupsItems, required)
- `type` ("operation", required)
- `deprecated` (boolean, optional)
- `scheduled` (boolean, optional)
- `retrySettings` (WorkflowBuilderWorkflowPayloadTasksErrorHandlerRetrySettings, optional, nullable) — Retry settings for a task.

### WorkflowBuilderWorkflowPayloadTransitionsWorkflowStart

### WorkflowBuilderWorkflowPayloadTransitionsWorkflowEnd

### WorkflowBuilderWorkflowPayloadTransitionsErrorHandler

### WorkflowBuilderWorkflowPayloadNamespaceAccessControl

- `read` (list of string, optional)
- `execute` (list of string, optional)
- `write` (list of string, optional)
- `manage` (list of string, optional)

### WorkflowBuilderWorkflowPayloadScenariosItemsInput

### WorkflowBuilderWorkflowPayloadScenariosItemsTaskMocks

### WorkflowBuilderWorkflowPayloadScenariosItemsLastUpdatedBy

### WorkflowBuilderWorkflowPayloadCreatedBy0

- `username` (string, required)
- `provenance` (string, required)

### WorkflowBuilderWorkflowPayloadLastUpdatedBy0

- `username` (string, required)
- `provenance` (string, required)

### WorkflowBuilderWorkflowPayloadTasksWorkflowStartGroupsItems

- `name` (string, required)
- `provenance` (string, required)

### WorkflowBuilderWorkflowPayloadTasksWorkflowStartNodeLocation

Stores the coordinates used by canvasVersion: 3 workflows

- `x` (double, optional)
- `y` (double, optional)

### WorkflowBuilderWorkflowPayloadTasksWorkflowEndGroupsItems

- `name` (string, required)
- `provenance` (string, required)

### WorkflowBuilderWorkflowPayloadTasksWorkflowEndNodeLocation

Stores the coordinates used by canvasVersion: 3 workflows

- `x` (double, optional)
- `y` (double, optional)

### WorkflowBuilderWorkflowPayloadTasksErrorHandlerVariables

- `incoming` (WorkflowBuilderWorkflowPayloadTasksErrorHandlerVariablesIncoming, required)
- `outgoing` (WorkflowBuilderWorkflowPayloadTasksErrorHandlerVariablesOutgoing, required)
- `error` (string, optional)
- `decorators` (list of WorkflowBuilderWorkflowPayloadTasksErrorHandlerVariablesDecoratorsItems, optional)

### WorkflowBuilderWorkflowPayloadTasksErrorHandlerGroupsItems

- `name` (string, required)
- `provenance` (string, required)

### WorkflowBuilderWorkflowPayloadTasksErrorHandlerRetrySettings

Retry settings for a task.

- `state` (list of enum, required) — Finish states the task will retry on. The task will retry on any of the included states.
  - Allowed values: `success`, `error`, `failure`
- `autoRetry` (boolean, required) — Whether the task is set to retry automatically or manually.
- `limit` (integer, required) — Limit of retries on a task before it will take normal transitions and stop retrying.
- `delay` (integer, required) — Delay between each retry in milliseconds.
- `count` (integer, optional) — Current retry count used for workflow engine job processing

### WorkflowBuilderWorkflowPayloadScenariosItemsLastUpdatedBy0

- `username` (string, required)
- `provenance` (string, required)

### WorkflowBuilderWorkflowPayloadTasksErrorHandlerVariablesIncoming

### WorkflowBuilderWorkflowPayloadTasksErrorHandlerVariablesOutgoing

### WorkflowBuilderWorkflowPayloadTasksErrorHandlerVariablesDecoratorsItems

- `type` (enum, optional)
  - Allowed values: `encryption`
- `pointer` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "name": "My Workflow",
  "type": "automation",
  "tasks": {
    "workflow_start": {
      "name": "string",
      "summary": "string",
      "groups": [
        {
          "name": "Admin",
          "provenance": "LocalAAA"
        }
      ],
      "x": 0,
      "y": 100
    },
    "workflow_end": {
      "name": "string",
      "summary": "string",
      "groups": [
        {
          "name": "Admin",
          "provenance": "LocalAAA"
        }
      ],
      "x": 0,
      "y": 100
    },
    "error_handler": {
      "name": "Query",
      "summary": "Query Data Using 'json-query' Format",
      "description": "Query Data Using 'json-query' Format",
      "app": "Tools",
      "variables": {
        "incoming": {},
        "outgoing": {},
        "error": "string",
        "decorators": [
          {
            "type": "encryption",
            "pointer": "/outgoing/output"
          }
        ]
      },
      "groups": [
        {
          "name": "Admin",
          "provenance": "LocalAAA"
        }
      ],
      "type": "string",
      "deprecated": true,
      "scheduled": true,
      "retrySettings": {
        "state": [
          "success"
        ],
        "autoRetry": true,
        "limit": 10,
        "delay": 1000,
        "count": 5
      }
    }
  },
  "transitions": {
    "workflow_start": {},
    "workflow_end": {},
    "error_handler": {}
  },
  "groups": [
    {
      "name": "Admin",
      "provenance": "LocalAAA"
    }
  ],
  "_id": "string",
  "uuid": "string",
  "description": "Upgrade Cisco IOS device",
  "namespace": null,
  "preAutomationTime": 5000,
  "sla": 1,
  "metadata": {
    "preAutomationTime": 1,
    "sla": 1
  },
  "scenarios": [
    {
      "name": "string",
      "input": {},
      "description": "string",
      "taskMocks": {},
      "last_updated": "2024-01-15T09:30:00Z",
      "last_updated_by": {
        "provenance": "Pronghorn",
        "username": "admin@pronghorn"
      }
    }
  ],
  "errorHandler": null,
  "font_size": 12,
  "created": "2024-03-13T18:21:15.352Z",
  "created_by": {
    "provenance": "Pronghorn",
    "username": "admin@pronghorn"
  },
  "createdVersion": "5.40.5-2021.1.72.0",
  "last_updated": "2024-03-13T18:21:15.352Z",
  "last_updated_by": {
    "provenance": "Pronghorn",
    "username": "admin@pronghorn"
  },
  "lastUpdatedVersion": "4.69.69",
  "tags": [
    {
      "_id": "string",
      "name": "string",
      "description": "string"
    }
  ],
  "canvasVersion": 1,
  "encodingVersion": 1,
  "inputSchema": {},
  "outputSchema": {},
  "outputData": {},
  "decorators": [
    {
      "type": "encryption",
      "pointer": "/outgoing/output"
    }
  ],
  "migrationVersion": 1
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/workflow_builder/export"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/workflow_builder/export';
const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/workflow_builder/export"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/workflow_builder/export")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://example.itential.io/workflow_builder/export")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://example.itential.io/workflow_builder/export', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/workflow_builder/export");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/workflow_builder/export")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```